// Code generated by protoc-gen-go. DO NOT EDIT.
// source: processor.proto

package processor

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	wrappers "github.com/golang/protobuf/ptypes/wrappers"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type AskResponse_Decision int32

const (
	AskResponse_ACCEPT AskResponse_Decision = 0
	AskResponse_REVIEW AskResponse_Decision = 1
	AskResponse_REJECT AskResponse_Decision = 2
)

var AskResponse_Decision_name = map[int32]string{
	0: "ACCEPT",
	1: "REVIEW",
	2: "REJECT",
}

var AskResponse_Decision_value = map[string]int32{
	"ACCEPT": 0,
	"REVIEW": 1,
	"REJECT": 2,
}

func (x AskResponse_Decision) String() string {
	return proto.EnumName(AskResponse_Decision_name, int32(x))
}

func (AskResponse_Decision) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_6783724e039e1aa6, []int{8, 0}
}

type Order struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Amount               string   `protobuf:"bytes,2,opt,name=amount,proto3" json:"amount,omitempty"`
	Currency             string   `protobuf:"bytes,3,opt,name=currency,proto3" json:"currency,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Order) Reset()         { *m = Order{} }
func (m *Order) String() string { return proto.CompactTextString(m) }
func (*Order) ProtoMessage()    {}
func (*Order) Descriptor() ([]byte, []int) {
	return fileDescriptor_6783724e039e1aa6, []int{0}
}

func (m *Order) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Order.Unmarshal(m, b)
}
func (m *Order) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Order.Marshal(b, m, deterministic)
}
func (m *Order) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Order.Merge(m, src)
}
func (m *Order) XXX_Size() int {
	return xxx_messageInfo_Order.Size(m)
}
func (m *Order) XXX_DiscardUnknown() {
	xxx_messageInfo_Order.DiscardUnknown(m)
}

var xxx_messageInfo_Order proto.InternalMessageInfo

func (m *Order) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *Order) GetAmount() string {
	if m != nil {
		return m.Amount
	}
	return ""
}

func (m *Order) GetCurrency() string {
	if m != nil {
		return m.Currency
	}
	return ""
}

type Customer struct {
	FirstName            string   `protobuf:"bytes,1,opt,name=first_name,json=firstName,proto3" json:"first_name,omitempty"`
	LastName             string   `protobuf:"bytes,2,opt,name=last_name,json=lastName,proto3" json:"last_name,omitempty"`
	Email                string   `protobuf:"bytes,3,opt,name=email,proto3" json:"email,omitempty"`
	Ip                   string   `protobuf:"bytes,4,opt,name=ip,proto3" json:"ip,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Customer) Reset()         { *m = Customer{} }
func (m *Customer) String() string { return proto.CompactTextString(m) }
func (*Customer) ProtoMessage()    {}
func (*Customer) Descriptor() ([]byte, []int) {
	return fileDescriptor_6783724e039e1aa6, []int{1}
}

func (m *Customer) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Customer.Unmarshal(m, b)
}
func (m *Customer) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Customer.Marshal(b, m, deterministic)
}
func (m *Customer) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Customer.Merge(m, src)
}
func (m *Customer) XXX_Size() int {
	return xxx_messageInfo_Customer.Size(m)
}
func (m *Customer) XXX_DiscardUnknown() {
	xxx_messageInfo_Customer.DiscardUnknown(m)
}

var xxx_messageInfo_Customer proto.InternalMessageInfo

func (m *Customer) GetFirstName() string {
	if m != nil {
		return m.FirstName
	}
	return ""
}

func (m *Customer) GetLastName() string {
	if m != nil {
		return m.LastName
	}
	return ""
}

func (m *Customer) GetEmail() string {
	if m != nil {
		return m.Email
	}
	return ""
}

func (m *Customer) GetIp() string {
	if m != nil {
		return m.Ip
	}
	return ""
}

type Delivery struct {
	Address              string                `protobuf:"bytes,1,opt,name=address,proto3" json:"address,omitempty"`
	City                 string                `protobuf:"bytes,2,opt,name=city,proto3" json:"city,omitempty"`
	State                *wrappers.StringValue `protobuf:"bytes,3,opt,name=state,proto3" json:"state,omitempty"`
	Country              string                `protobuf:"bytes,4,opt,name=country,proto3" json:"country,omitempty"`
	PostalCode           string                `protobuf:"bytes,5,opt,name=postal_code,json=postalCode,proto3" json:"postal_code,omitempty"`
	PhoneNumber          *wrappers.StringValue `protobuf:"bytes,6,opt,name=phone_number,json=phoneNumber,proto3" json:"phone_number,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *Delivery) Reset()         { *m = Delivery{} }
func (m *Delivery) String() string { return proto.CompactTextString(m) }
func (*Delivery) ProtoMessage()    {}
func (*Delivery) Descriptor() ([]byte, []int) {
	return fileDescriptor_6783724e039e1aa6, []int{2}
}

func (m *Delivery) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Delivery.Unmarshal(m, b)
}
func (m *Delivery) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Delivery.Marshal(b, m, deterministic)
}
func (m *Delivery) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Delivery.Merge(m, src)
}
func (m *Delivery) XXX_Size() int {
	return xxx_messageInfo_Delivery.Size(m)
}
func (m *Delivery) XXX_DiscardUnknown() {
	xxx_messageInfo_Delivery.DiscardUnknown(m)
}

var xxx_messageInfo_Delivery proto.InternalMessageInfo

func (m *Delivery) GetAddress() string {
	if m != nil {
		return m.Address
	}
	return ""
}

func (m *Delivery) GetCity() string {
	if m != nil {
		return m.City
	}
	return ""
}

func (m *Delivery) GetState() *wrappers.StringValue {
	if m != nil {
		return m.State
	}
	return nil
}

func (m *Delivery) GetCountry() string {
	if m != nil {
		return m.Country
	}
	return ""
}

func (m *Delivery) GetPostalCode() string {
	if m != nil {
		return m.PostalCode
	}
	return ""
}

func (m *Delivery) GetPhoneNumber() *wrappers.StringValue {
	if m != nil {
		return m.PhoneNumber
	}
	return nil
}

type Item struct {
	Name                 string   `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Id                   string   `protobuf:"bytes,2,opt,name=id,proto3" json:"id,omitempty"`
	Price                string   `protobuf:"bytes,3,opt,name=price,proto3" json:"price,omitempty"`
	Quantity             uint64   `protobuf:"varint,4,opt,name=quantity,proto3" json:"quantity,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Item) Reset()         { *m = Item{} }
func (m *Item) String() string { return proto.CompactTextString(m) }
func (*Item) ProtoMessage()    {}
func (*Item) Descriptor() ([]byte, []int) {
	return fileDescriptor_6783724e039e1aa6, []int{3}
}

func (m *Item) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Item.Unmarshal(m, b)
}
func (m *Item) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Item.Marshal(b, m, deterministic)
}
func (m *Item) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Item.Merge(m, src)
}
func (m *Item) XXX_Size() int {
	return xxx_messageInfo_Item.Size(m)
}
func (m *Item) XXX_DiscardUnknown() {
	xxx_messageInfo_Item.DiscardUnknown(m)
}

var xxx_messageInfo_Item proto.InternalMessageInfo

func (m *Item) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Item) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *Item) GetPrice() string {
	if m != nil {
		return m.Price
	}
	return ""
}

func (m *Item) GetQuantity() uint64 {
	if m != nil {
		return m.Quantity
	}
	return 0
}

type Card struct {
	HolderName           string   `protobuf:"bytes,1,opt,name=holder_name,json=holderName,proto3" json:"holder_name,omitempty"`
	Number               string   `protobuf:"bytes,2,opt,name=number,proto3" json:"number,omitempty"`
	ExpMonth             uint32   `protobuf:"varint,3,opt,name=exp_month,json=expMonth,proto3" json:"exp_month,omitempty"`
	ExpYear              uint32   `protobuf:"varint,4,opt,name=exp_year,json=expYear,proto3" json:"exp_year,omitempty"`
	Cvv                  string   `protobuf:"bytes,5,opt,name=cvv,proto3" json:"cvv,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Card) Reset()         { *m = Card{} }
func (m *Card) String() string { return proto.CompactTextString(m) }
func (*Card) ProtoMessage()    {}
func (*Card) Descriptor() ([]byte, []int) {
	return fileDescriptor_6783724e039e1aa6, []int{4}
}

func (m *Card) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Card.Unmarshal(m, b)
}
func (m *Card) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Card.Marshal(b, m, deterministic)
}
func (m *Card) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Card.Merge(m, src)
}
func (m *Card) XXX_Size() int {
	return xxx_messageInfo_Card.Size(m)
}
func (m *Card) XXX_DiscardUnknown() {
	xxx_messageInfo_Card.DiscardUnknown(m)
}

var xxx_messageInfo_Card proto.InternalMessageInfo

func (m *Card) GetHolderName() string {
	if m != nil {
		return m.HolderName
	}
	return ""
}

func (m *Card) GetNumber() string {
	if m != nil {
		return m.Number
	}
	return ""
}

func (m *Card) GetExpMonth() uint32 {
	if m != nil {
		return m.ExpMonth
	}
	return 0
}

func (m *Card) GetExpYear() uint32 {
	if m != nil {
		return m.ExpYear
	}
	return 0
}

func (m *Card) GetCvv() string {
	if m != nil {
		return m.Cvv
	}
	return ""
}

type BinInfo struct {
	Country              string   `protobuf:"bytes,1,opt,name=country,proto3" json:"country,omitempty"`
	Currency             string   `protobuf:"bytes,2,opt,name=currency,proto3" json:"currency,omitempty"`
	Brand                string   `protobuf:"bytes,3,opt,name=brand,proto3" json:"brand,omitempty"`
	CardType             string   `protobuf:"bytes,4,opt,name=card_type,json=cardType,proto3" json:"card_type,omitempty"`
	BankName             string   `protobuf:"bytes,5,opt,name=bank_name,json=bankName,proto3" json:"bank_name,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *BinInfo) Reset()         { *m = BinInfo{} }
func (m *BinInfo) String() string { return proto.CompactTextString(m) }
func (*BinInfo) ProtoMessage()    {}
func (*BinInfo) Descriptor() ([]byte, []int) {
	return fileDescriptor_6783724e039e1aa6, []int{5}
}

func (m *BinInfo) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_BinInfo.Unmarshal(m, b)
}
func (m *BinInfo) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_BinInfo.Marshal(b, m, deterministic)
}
func (m *BinInfo) XXX_Merge(src proto.Message) {
	xxx_messageInfo_BinInfo.Merge(m, src)
}
func (m *BinInfo) XXX_Size() int {
	return xxx_messageInfo_BinInfo.Size(m)
}
func (m *BinInfo) XXX_DiscardUnknown() {
	xxx_messageInfo_BinInfo.DiscardUnknown(m)
}

var xxx_messageInfo_BinInfo proto.InternalMessageInfo

func (m *BinInfo) GetCountry() string {
	if m != nil {
		return m.Country
	}
	return ""
}

func (m *BinInfo) GetCurrency() string {
	if m != nil {
		return m.Currency
	}
	return ""
}

func (m *BinInfo) GetBrand() string {
	if m != nil {
		return m.Brand
	}
	return ""
}

func (m *BinInfo) GetCardType() string {
	if m != nil {
		return m.CardType
	}
	return ""
}

func (m *BinInfo) GetBankName() string {
	if m != nil {
		return m.BankName
	}
	return ""
}

type IpInfo struct {
	City                 *wrappers.StringValue `protobuf:"bytes,1,opt,name=city,proto3" json:"city,omitempty"`
	Country              *wrappers.StringValue `protobuf:"bytes,2,opt,name=country,proto3" json:"country,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *IpInfo) Reset()         { *m = IpInfo{} }
func (m *IpInfo) String() string { return proto.CompactTextString(m) }
func (*IpInfo) ProtoMessage()    {}
func (*IpInfo) Descriptor() ([]byte, []int) {
	return fileDescriptor_6783724e039e1aa6, []int{6}
}

func (m *IpInfo) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_IpInfo.Unmarshal(m, b)
}
func (m *IpInfo) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_IpInfo.Marshal(b, m, deterministic)
}
func (m *IpInfo) XXX_Merge(src proto.Message) {
	xxx_messageInfo_IpInfo.Merge(m, src)
}
func (m *IpInfo) XXX_Size() int {
	return xxx_messageInfo_IpInfo.Size(m)
}
func (m *IpInfo) XXX_DiscardUnknown() {
	xxx_messageInfo_IpInfo.DiscardUnknown(m)
}

var xxx_messageInfo_IpInfo proto.InternalMessageInfo

func (m *IpInfo) GetCity() *wrappers.StringValue {
	if m != nil {
		return m.City
	}
	return nil
}

func (m *IpInfo) GetCountry() *wrappers.StringValue {
	if m != nil {
		return m.Country
	}
	return nil
}

type AskRequest struct {
	Credentials          string    `protobuf:"bytes,1,opt,name=credentials,proto3" json:"credentials,omitempty"`
	ProcessorMeta        string    `protobuf:"bytes,2,opt,name=processor_meta,json=processorMeta,proto3" json:"processor_meta,omitempty"`
	Order                *Order    `protobuf:"bytes,3,opt,name=order,proto3" json:"order,omitempty"`
	Customer             *Customer `protobuf:"bytes,4,opt,name=customer,proto3" json:"customer,omitempty"`
	Billing              *Delivery `protobuf:"bytes,5,opt,name=billing,proto3" json:"billing,omitempty"`
	Shipping             *Delivery `protobuf:"bytes,6,opt,name=shipping,proto3" json:"shipping,omitempty"`
	Items                []*Item   `protobuf:"bytes,7,rep,name=items,proto3" json:"items,omitempty"`
	Card                 *Card     `protobuf:"bytes,8,opt,name=card,proto3" json:"card,omitempty"`
	BinInfo              *BinInfo  `protobuf:"bytes,9,opt,name=bin_info,json=binInfo,proto3" json:"bin_info,omitempty"`
	IpInfo               *IpInfo   `protobuf:"bytes,10,opt,name=ip_info,json=ipInfo,proto3" json:"ip_info,omitempty"`
	RequestMeta          string    `protobuf:"bytes,11,opt,name=request_meta,json=requestMeta,proto3" json:"request_meta,omitempty"`
	XXX_NoUnkeyedLiteral struct{}  `json:"-"`
	XXX_unrecognized     []byte    `json:"-"`
	XXX_sizecache        int32     `json:"-"`
}

func (m *AskRequest) Reset()         { *m = AskRequest{} }
func (m *AskRequest) String() string { return proto.CompactTextString(m) }
func (*AskRequest) ProtoMessage()    {}
func (*AskRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_6783724e039e1aa6, []int{7}
}

func (m *AskRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AskRequest.Unmarshal(m, b)
}
func (m *AskRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AskRequest.Marshal(b, m, deterministic)
}
func (m *AskRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AskRequest.Merge(m, src)
}
func (m *AskRequest) XXX_Size() int {
	return xxx_messageInfo_AskRequest.Size(m)
}
func (m *AskRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_AskRequest.DiscardUnknown(m)
}

var xxx_messageInfo_AskRequest proto.InternalMessageInfo

func (m *AskRequest) GetCredentials() string {
	if m != nil {
		return m.Credentials
	}
	return ""
}

func (m *AskRequest) GetProcessorMeta() string {
	if m != nil {
		return m.ProcessorMeta
	}
	return ""
}

func (m *AskRequest) GetOrder() *Order {
	if m != nil {
		return m.Order
	}
	return nil
}

func (m *AskRequest) GetCustomer() *Customer {
	if m != nil {
		return m.Customer
	}
	return nil
}

func (m *AskRequest) GetBilling() *Delivery {
	if m != nil {
		return m.Billing
	}
	return nil
}

func (m *AskRequest) GetShipping() *Delivery {
	if m != nil {
		return m.Shipping
	}
	return nil
}

func (m *AskRequest) GetItems() []*Item {
	if m != nil {
		return m.Items
	}
	return nil
}

func (m *AskRequest) GetCard() *Card {
	if m != nil {
		return m.Card
	}
	return nil
}

func (m *AskRequest) GetBinInfo() *BinInfo {
	if m != nil {
		return m.BinInfo
	}
	return nil
}

func (m *AskRequest) GetIpInfo() *IpInfo {
	if m != nil {
		return m.IpInfo
	}
	return nil
}

func (m *AskRequest) GetRequestMeta() string {
	if m != nil {
		return m.RequestMeta
	}
	return ""
}

type AskResponse struct {
	Succeed              bool                 `protobuf:"varint,1,opt,name=succeed,proto3" json:"succeed,omitempty"`
	Decision             AskResponse_Decision `protobuf:"varint,2,opt,name=decision,proto3,enum=ghost.fraud.processor.AskResponse_Decision" json:"decision,omitempty"`
	ReferenceId          string               `protobuf:"bytes,3,opt,name=reference_id,json=referenceId,proto3" json:"reference_id,omitempty"`
	Score                uint32               `protobuf:"varint,4,opt,name=score,proto3" json:"score,omitempty"`
	Request              string               `protobuf:"bytes,5,opt,name=request,proto3" json:"request,omitempty"`
	Response             string               `protobuf:"bytes,6,opt,name=response,proto3" json:"response,omitempty"`
	XXX_NoUnkeyedLiteral struct{}             `json:"-"`
	XXX_unrecognized     []byte               `json:"-"`
	XXX_sizecache        int32                `json:"-"`
}

func (m *AskResponse) Reset()         { *m = AskResponse{} }
func (m *AskResponse) String() string { return proto.CompactTextString(m) }
func (*AskResponse) ProtoMessage()    {}
func (*AskResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_6783724e039e1aa6, []int{8}
}

func (m *AskResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AskResponse.Unmarshal(m, b)
}
func (m *AskResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AskResponse.Marshal(b, m, deterministic)
}
func (m *AskResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AskResponse.Merge(m, src)
}
func (m *AskResponse) XXX_Size() int {
	return xxx_messageInfo_AskResponse.Size(m)
}
func (m *AskResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_AskResponse.DiscardUnknown(m)
}

var xxx_messageInfo_AskResponse proto.InternalMessageInfo

func (m *AskResponse) GetSucceed() bool {
	if m != nil {
		return m.Succeed
	}
	return false
}

func (m *AskResponse) GetDecision() AskResponse_Decision {
	if m != nil {
		return m.Decision
	}
	return AskResponse_ACCEPT
}

func (m *AskResponse) GetReferenceId() string {
	if m != nil {
		return m.ReferenceId
	}
	return ""
}

func (m *AskResponse) GetScore() uint32 {
	if m != nil {
		return m.Score
	}
	return 0
}

func (m *AskResponse) GetRequest() string {
	if m != nil {
		return m.Request
	}
	return ""
}

func (m *AskResponse) GetResponse() string {
	if m != nil {
		return m.Response
	}
	return ""
}

func init() {
	proto.RegisterEnum("ghost.fraud.processor.AskResponse_Decision", AskResponse_Decision_name, AskResponse_Decision_value)
	proto.RegisterType((*Order)(nil), "ghost.fraud.processor.Order")
	proto.RegisterType((*Customer)(nil), "ghost.fraud.processor.Customer")
	proto.RegisterType((*Delivery)(nil), "ghost.fraud.processor.Delivery")
	proto.RegisterType((*Item)(nil), "ghost.fraud.processor.Item")
	proto.RegisterType((*Card)(nil), "ghost.fraud.processor.Card")
	proto.RegisterType((*BinInfo)(nil), "ghost.fraud.processor.BinInfo")
	proto.RegisterType((*IpInfo)(nil), "ghost.fraud.processor.IpInfo")
	proto.RegisterType((*AskRequest)(nil), "ghost.fraud.processor.AskRequest")
	proto.RegisterType((*AskResponse)(nil), "ghost.fraud.processor.AskResponse")
}

func init() { proto.RegisterFile("processor.proto", fileDescriptor_6783724e039e1aa6) }

var fileDescriptor_6783724e039e1aa6 = []byte{
	// 888 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x8c, 0x54, 0x6d, 0x6f, 0x1b, 0x45,
	0x10, 0xc6, 0x8e, 0x5f, 0xce, 0xe3, 0x26, 0x0d, 0xab, 0xb6, 0x3a, 0x52, 0xda, 0xa6, 0x27, 0x21,
	0x55, 0x42, 0x72, 0xc0, 0x48, 0x95, 0x2a, 0x3e, 0xa0, 0xd4, 0x0d, 0xc8, 0x40, 0x4b, 0x75, 0x8d,
	0x8a, 0x40, 0x48, 0xa7, 0xf5, 0xdd, 0xd8, 0x5e, 0xe5, 0x6e, 0x77, 0xbb, 0xbb, 0x17, 0xe2, 0x9f,
	0xc0, 0xa7, 0xfe, 0x1d, 0x7e, 0x12, 0x3f, 0x03, 0xed, 0xcb, 0x5d, 0x1d, 0x09, 0xd3, 0x7c, 0xdb,
	0x99, 0xdd, 0x67, 0x67, 0xe6, 0x99, 0x67, 0x06, 0x6e, 0x4b, 0x25, 0x72, 0xd4, 0x5a, 0xa8, 0x89,
	0x54, 0xc2, 0x08, 0x72, 0x77, 0xb5, 0x16, 0xda, 0x4c, 0x96, 0x8a, 0xd6, 0xc5, 0xa4, 0xbd, 0x3c,
	0x7a, 0xb8, 0x12, 0x62, 0x55, 0xe2, 0x89, 0x7b, 0xb4, 0xa8, 0x97, 0x27, 0x7f, 0x2a, 0x2a, 0x25,
	0x2a, 0xed, 0x61, 0xc9, 0x4f, 0xd0, 0xff, 0x45, 0x15, 0xa8, 0xc8, 0x01, 0x74, 0x59, 0x11, 0x77,
	0x8e, 0x3b, 0x4f, 0x46, 0x69, 0x97, 0x15, 0xe4, 0x1e, 0x0c, 0x68, 0x25, 0x6a, 0x6e, 0xe2, 0xae,
	0xf3, 0x05, 0x8b, 0x1c, 0x41, 0x94, 0xd7, 0x4a, 0x21, 0xcf, 0x37, 0xf1, 0x9e, 0xbb, 0x69, 0xed,
	0xa4, 0x84, 0x68, 0x56, 0x6b, 0x23, 0x2a, 0x54, 0xe4, 0x01, 0xc0, 0x92, 0x29, 0x6d, 0x32, 0x4e,
	0x2b, 0x0c, 0xff, 0x8e, 0x9c, 0xe7, 0x15, 0xad, 0x90, 0xdc, 0x87, 0x51, 0x49, 0x9b, 0x5b, 0x1f,
	0x21, 0xb2, 0x0e, 0x77, 0x79, 0x07, 0xfa, 0x58, 0x51, 0x56, 0x86, 0x00, 0xde, 0x70, 0x19, 0xca,
	0xb8, 0x17, 0x32, 0x94, 0xc9, 0x3f, 0x1d, 0x88, 0x5e, 0x60, 0xc9, 0x2e, 0x51, 0x6d, 0x48, 0x0c,
	0x43, 0x5a, 0x14, 0x0a, 0xb5, 0x0e, 0xb1, 0x1a, 0x93, 0x10, 0xe8, 0xe5, 0xcc, 0x6c, 0x42, 0x10,
	0x77, 0x26, 0x53, 0xe8, 0x6b, 0x43, 0x0d, 0xba, 0x00, 0xe3, 0xe9, 0xe7, 0x13, 0xcf, 0xd2, 0xa4,
	0x61, 0x69, 0xf2, 0xc6, 0x28, 0xc6, 0x57, 0x6f, 0x69, 0x59, 0x63, 0xea, 0x9f, 0xda, 0x08, 0xb9,
	0x65, 0x40, 0x6d, 0x42, 0x0e, 0x8d, 0x49, 0x1e, 0xc1, 0x58, 0x0a, 0x6d, 0x68, 0x99, 0xe5, 0xa2,
	0xc0, 0xb8, 0xef, 0x6e, 0xc1, 0xbb, 0x66, 0xa2, 0x40, 0xf2, 0x1d, 0xdc, 0x92, 0x6b, 0xc1, 0x31,
	0xe3, 0x75, 0xb5, 0x40, 0x15, 0x0f, 0x6e, 0x10, 0x75, 0xec, 0x10, 0xaf, 0x1c, 0x20, 0xf9, 0x03,
	0x7a, 0x73, 0x83, 0x95, 0xad, 0x65, 0x8b, 0x4e, 0x77, 0x0e, 0x8d, 0xeb, 0xb6, 0x8d, 0xbb, 0x03,
	0x7d, 0xa9, 0x58, 0x8e, 0x0d, 0x79, 0xce, 0xb0, 0x6d, 0x7b, 0x57, 0x53, 0x6e, 0x2c, 0x13, 0x36,
	0xfd, 0x5e, 0xda, 0xda, 0xc9, 0x5f, 0x1d, 0xe8, 0xcd, 0xa8, 0x2a, 0x6c, 0x21, 0x6b, 0x51, 0x16,
	0xa8, 0xb6, 0x9b, 0x06, 0xde, 0xe5, 0x1a, 0x73, 0x0f, 0x06, 0xa1, 0x84, 0x20, 0x0a, 0x6f, 0xd9,
	0x6e, 0xe2, 0x95, 0xcc, 0x2a, 0xc1, 0xcd, 0xda, 0xc5, 0xdd, 0x4f, 0x23, 0xbc, 0x92, 0x2f, 0xad,
	0x4d, 0x3e, 0x03, 0x7b, 0xce, 0x36, 0x48, 0x95, 0x0b, 0xbd, 0x9f, 0x0e, 0xf1, 0x4a, 0xfe, 0x86,
	0x54, 0x91, 0x43, 0xd8, 0xcb, 0x2f, 0x2f, 0x03, 0x63, 0xf6, 0x98, 0xbc, 0xef, 0xc0, 0xf0, 0x39,
	0xe3, 0x73, 0xbe, 0x14, 0xdb, 0x8c, 0x77, 0xae, 0x33, 0xbe, 0x2d, 0xc2, 0xee, 0x75, 0x11, 0xda,
	0xfa, 0x17, 0x8a, 0xf2, 0xa2, 0xa9, 0xdf, 0x19, 0x36, 0xc3, 0x9c, 0xaa, 0x22, 0x33, 0x1b, 0x89,
	0xa1, 0x7f, 0x91, 0x75, 0x9c, 0x6f, 0xa4, 0x13, 0xe3, 0x82, 0xf2, 0x0b, 0x5f, 0xb5, 0x4f, 0x26,
	0xb2, 0x0e, 0x5b, 0x73, 0xa2, 0x60, 0x30, 0x97, 0x2e, 0x9f, 0xaf, 0x82, 0x92, 0x3a, 0x37, 0x68,
	0x9f, 0xd7, 0xd9, 0xd3, 0x0f, 0x15, 0x74, 0x6f, 0x00, 0x6a, 0x1e, 0x27, 0x7f, 0xf7, 0x00, 0x4e,
	0xf5, 0x45, 0x8a, 0xef, 0x6a, 0xd4, 0x86, 0x1c, 0xc3, 0x38, 0x57, 0x58, 0x20, 0x37, 0x8c, 0x96,
	0x8d, 0xc0, 0xb7, 0x5d, 0xe4, 0x0b, 0x38, 0x68, 0x67, 0x3e, 0xab, 0xd0, 0xd0, 0x40, 0xcb, 0x7e,
	0xeb, 0x7d, 0x89, 0x86, 0x5a, 0xdd, 0x0b, 0x3b, 0xed, 0x1f, 0x74, 0xff, 0x5f, 0x4b, 0x63, 0xe2,
	0x36, 0x42, 0xea, 0x9f, 0x92, 0x6f, 0x2d, 0xd7, 0x7e, 0xa8, 0x1d, 0x71, 0xe3, 0xe9, 0xa3, 0x1d,
	0xb0, 0x66, 0xf6, 0xd3, 0x16, 0x40, 0x9e, 0xc1, 0x70, 0xc1, 0xca, 0x92, 0xf1, 0x95, 0xe3, 0x75,
	0x37, 0xb6, 0x19, 0xe4, 0xb4, 0x79, 0x6f, 0xe3, 0xea, 0x35, 0x93, 0xd2, 0x62, 0x07, 0x37, 0xc3,
	0xb6, 0x00, 0xf2, 0x35, 0xf4, 0x99, 0xc1, 0x4a, 0xc7, 0xc3, 0xe3, 0xbd, 0x27, 0xe3, 0xe9, 0xfd,
	0x1d, 0x48, 0x3b, 0x54, 0xa9, 0x7f, 0x49, 0x4e, 0xa0, 0x67, 0x05, 0x11, 0x47, 0x2e, 0xd6, 0x2e,
	0x84, 0x9d, 0x93, 0xd4, 0x3d, 0x24, 0xcf, 0x20, 0x5a, 0x30, 0x9e, 0x31, 0xbe, 0x14, 0xf1, 0xc8,
	0x81, 0x1e, 0xee, 0x00, 0x05, 0x41, 0xdb, 0xda, 0xbc, 0xb2, 0x9f, 0xc2, 0x90, 0x49, 0x8f, 0x04,
	0x87, 0x7c, 0xb0, 0x2b, 0x41, 0xa7, 0xbc, 0x74, 0xc0, 0xbc, 0x02, 0x1f, 0xc3, 0x2d, 0xe5, 0x35,
	0xe1, 0x9b, 0x3c, 0xf6, 0x4a, 0x08, 0x3e, 0xdb, 0xe2, 0xe4, 0x7d, 0x17, 0xc6, 0x4e, 0x3a, 0x5a,
	0x0a, 0xae, 0xdd, 0xda, 0xd2, 0x75, 0x9e, 0x23, 0xfa, 0xe5, 0x1e, 0xa5, 0x8d, 0x49, 0x7e, 0x80,
	0xa8, 0xc0, 0x9c, 0x69, 0x26, 0xb8, 0x53, 0xcb, 0xc1, 0xf4, 0xcb, 0x1d, 0x59, 0x6c, 0xfd, 0x37,
	0x79, 0x11, 0x20, 0x69, 0x0b, 0xf6, 0x59, 0x2d, 0xd1, 0x8e, 0x1f, 0x66, 0xac, 0x19, 0xbc, 0x71,
	0xeb, 0x9b, 0xbb, 0xa5, 0xa4, 0x73, 0xa1, 0x30, 0x2c, 0x00, 0x6f, 0xd8, 0xdc, 0x42, 0xea, 0x61,
	0xea, 0x1a, 0xd3, 0x0e, 0xb8, 0x0a, 0x11, 0x5d, 0xf3, 0x47, 0x69, 0x6b, 0x27, 0x13, 0xbb, 0xf6,
	0x43, 0x68, 0x80, 0xc1, 0xe9, 0x6c, 0x76, 0xf6, 0xfa, 0xfc, 0xf0, 0x13, 0x7b, 0x4e, 0xcf, 0xde,
	0xce, 0xcf, 0x7e, 0x3d, 0xec, 0xf8, 0xf3, 0x8f, 0x67, 0xb3, 0xf3, 0xc3, 0xee, 0x14, 0xe1, 0xee,
	0xf7, 0xb6, 0xa0, 0xd7, 0x4d, 0x3d, 0x6f, 0x50, 0x5d, 0xda, 0x9d, 0xf8, 0x33, 0xec, 0x9d, 0xea,
	0x0b, 0xf2, 0xf8, 0xff, 0xaa, 0x76, 0xe9, 0x1c, 0x25, 0x1f, 0x27, 0xe6, 0xf9, 0xa7, 0xbf, 0xdf,
	0x76, 0xd7, 0x27, 0xed, 0xf5, 0x62, 0xe0, 0xa6, 0xfc, 0x9b, 0x7f, 0x03, 0x00, 0x00, 0xff, 0xff,
	0x28, 0xf0, 0x56, 0x62, 0xad, 0x07, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// FraudProcessorServiceClient is the client API for FraudProcessorService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type FraudProcessorServiceClient interface {
	Ask(ctx context.Context, in *AskRequest, opts ...grpc.CallOption) (*AskResponse, error)
}

type fraudProcessorServiceClient struct {
	cc *grpc.ClientConn
}

func NewFraudProcessorServiceClient(cc *grpc.ClientConn) FraudProcessorServiceClient {
	return &fraudProcessorServiceClient{cc}
}

func (c *fraudProcessorServiceClient) Ask(ctx context.Context, in *AskRequest, opts ...grpc.CallOption) (*AskResponse, error) {
	out := new(AskResponse)
	err := c.cc.Invoke(ctx, "/ghost.fraud.processor.FraudProcessorService/Ask", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// FraudProcessorServiceServer is the server API for FraudProcessorService service.
type FraudProcessorServiceServer interface {
	Ask(context.Context, *AskRequest) (*AskResponse, error)
}

// UnimplementedFraudProcessorServiceServer can be embedded to have forward compatible implementations.
type UnimplementedFraudProcessorServiceServer struct {
}

func (*UnimplementedFraudProcessorServiceServer) Ask(ctx context.Context, req *AskRequest) (*AskResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Ask not implemented")
}

func RegisterFraudProcessorServiceServer(s *grpc.Server, srv FraudProcessorServiceServer) {
	s.RegisterService(&_FraudProcessorService_serviceDesc, srv)
}

func _FraudProcessorService_Ask_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AskRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FraudProcessorServiceServer).Ask(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/ghost.fraud.processor.FraudProcessorService/Ask",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FraudProcessorServiceServer).Ask(ctx, req.(*AskRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _FraudProcessorService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "ghost.fraud.processor.FraudProcessorService",
	HandlerType: (*FraudProcessorServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Ask",
			Handler:    _FraudProcessorService_Ask_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "processor.proto",
}
